Skip to main content
GET
/
valorant
/
v2
/
esports
/
vlr
/
events
cURL
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v2/esports/vlr/events
import requests

url = "https://api.henrikdev.xyz/valorant/v2/esports/vlr/events"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v2/esports/vlr/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "dates": {
        "end": "<string>",
        "start": "<string>"
      },
      "icon": "<string>",
      "id": 1,
      "price": "<string>",
      "region": "<string>",
      "slug": "<string>",
      "title": "<string>"
    }
  ],
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Query Parameters

region
enum<string>
Available options:
north_america,
europe,
brazil,
asia_pacific,
korea,
japan,
latin_america,
oceania,
mena,
gc,
collegiate
type
enum<string>
Available options:
completed,
upcoming
page
integer<int32>
Required range: x >= 0

Response

Esports events retrieved successfully

data
object[]
required
status
integer<int32>
required
Required range: x >= 0